﻿using DevExpress.XtraBars.Ribbon.ViewInfo;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rightalign_the_Quick_access_toolbar.MyRibbonControl
{
    public class MyRibbonCaptionViewInfo : RibbonCaptionViewInfo
    {
        public MyRibbonCaptionViewInfo(RibbonViewInfo viewInfo) : base(viewInfo) { }

        protected override Rectangle CalcTextBounds()
        {
            Rectangle res = base.CalcTextBounds();
            if (ViewInfo.Toolbar.ContentBounds.Left != 0)
                res = new Rectangle(ViewInfo.Bounds.Left + ViewInfo.ApplicationButtonSize.Width , res.Y, res.Width, res.Height);
            return res;
        }

        protected override void CalcIcon()
        {
            //
        }
        protected override void CalcButtons()
        {
            //
        }
    }
}
